Main Page Modules Class Hierarchy Compound List File List Compound Members

# cIterator Class Reference

`#include <chead.h>`

List of all members.

## Public Methods

| cIterator (const cObject &h)
void | init (cObject &h)
cObject* | operator() () const
bool | end () const
cObject* | operator++ (int)

## Detailed Description

Walks along a cHead-cObject list.

## Constructor & Destructor Documentation

cIterator::cIterator ( | const cObject & h )`[inline]`

| Constructor.

## Member Function Documentation

bool cIterator::end ( | ) const`[inline]`

| Returns true if the iterator reached the end of the list.

void cIterator::init ( | cObject & h )`[inline]`

| Reinitialize the iterator.

cObject * cIterator::operator() ( | ) const`[inline]`

| Returns a pointer to the current object.

cObject * cIterator::operator++ ( | int )`[inline]`

| Returns the current item, then moves the iterator to the next one.

The documentation for this class was generated from the following file:

- chead.h